[@wsgc.extendTemplate path="common/checkout/_user-address-info.ftl" /]

[#-- TODO: finish consolidating this --]

[#-- Generic Address Display --]
[#macro addressDisplay subOrderDetails showEmail=false]
    <div class="address-block">
        [#if subOrderDetails.shipTo?? && subOrderDetails.shipTo?starts_with("Registrant")]
            [#if subOrderDetails?? && subOrderDetails.shipToName??]
                <div id="address-name">${subOrderDetails.shipToName?xhtml} </div>
            [/#if]
            <div>Address on file </div>
        [#else]
            [#if subOrderDetails??]
                [#if subOrderDetails.fullName??]
                    <div id="address-name">${subOrderDetails.fullName?xhtml}</div>
                [/#if]
                [#if subOrderDetails.addrLine1??]
                    <div>${subOrderDetails.addrLine1?xhtml}</div>
                [/#if]
                [#if subOrderDetails.addrLine2??]
                    <div>${subOrderDetails.addrLine2?xhtml}</div>
                [/#if]
                <div>
                    [#if subOrderDetails.city??]${subOrderDetails.city?xhtml},[/#if]
                    [#if subOrderDetails.stateProvince??]  ${subOrderDetails.stateProvince?xhtml} [/#if]
                    [#if subOrderDetails.fullPostalCode??] ${subOrderDetails.fullPostalCode?xhtml}[/#if]
                </div>
                <div>${subOrderDetails.dayPhone?xhtml}</div>
                [#if subOrderDetails.eveningPhone??]
                    <div>${subOrderDetails.eveningPhone?xhtml}</div>
                [/#if]
            [/#if]
            [#if showEmail || (subOrderDetails.shipTo??&&subOrderDetails.shipTo?lower_case == "you")]
                [#if subOrderDetails.plainEmailAddr?? && subOrderDetails.plainEmailAddr != ""]
                    <div class="review">${subOrderDetails.plainEmailAddr}</div>
                [#elseif profileEmail??]
                    <div class="review">${profileEmail}</div>
                [/#if]
            [/#if]
        [/#if]
    </div>
[/#macro]

[#-- Used for Order Difficulties page no-verify.ftl --]
[#macro userInfoNoVerify orderId="0" userDetails="default" shipMethod="default" dcPickUp=false billingAddressUpdate=""]
    [#local _billingSameAsShipping = ""]
    [#if billingAddressUpdate != ""]
        [#local _billingSameAsShipping = "&billingSameAsShipping=" + billingAddressUpdate]
    [/#if]
    <div class="[#if shipMethod == 1]shipping-address-block[#else]billing-address-block[/#if] " id="estara-payment-info">
        <div class="ship-to">
            [#if shipMethod == 1]
                <p class="label">Shipping Address</p>
            [#else]
                <p class="label">Billing Address:</p>
            [/#if]
            [#assign suborderId = "0"/]
            [#if userDetails.subOrder??]
                [#assign suborderId = "${userDetails.subOrder.subOrderId}"/]
            [/#if]
            <div class="info">
                [#local isRegistrant = false/]
                [#if userDetails.shipTo?? && userDetails.shipTo?starts_with("Registrant")]
                    <p>The address has been provided by the registrant.</p>
                    [#local isRegistrant = true/]
                [/#if]
                [#if !isRegistrant]
                    <ul class="vcard">
                        [#if userDetails??]  [#-- If Shipping Address is available in the SubOrderDisplay directive --]
                            [#if (userDetails.fullName)?has_content]
                                <li class="name">${userDetails.fullName?xhtml}</li>
                            [/#if]
                            [#if (userDetails.addrLine1)?has_content]
                                <li class="street-address">${userDetails.addrLine1?xhtml}</li>
                            [/#if]
                            [#if (userDetails.addrLine2)?has_content]
                                <li class="street-address-2">${userDetails.addrLine2?xhtml}</li>
                            [/#if]
                            [#if userDetails.city?? && userDetails.stateProvince?? && userDetails.postalCode??]
                                <li class="locality-region"><span class="locality">${userDetails.city?xhtml}</span>, <span class="region">${userDetails.stateProvince?xhtml}</span> <span class="postal-code">${userDetails.fullPostalCode?xhtml}</span></li>
                            [/#if]
                            [#if (userDetails.dayPhone)?has_content]
                                <li class="phone-number">${userDetails.dayPhone?xhtml}</li>
                            [/#if]
                            [#if (userDetails.eveningPhone)?has_content]
                                <li class="phone-number">${userDetails.eveningPhone?xhtml}</li>
                            [/#if]
                            [#if ((shipMethod == 0) || (userDetails.shipTo?lower_case == "you")) && !PAGE_IS_PAYMENT ]
                                [#if (userDetails.emailAddr)?has_content || (profileEmail)?has_content]
                                    <li>${(userDetails.emailAddr)!profileEmail}</li>
                                [/#if]
                            [/#if]
                            [#if shipMethod == 1 && PAGE_IS_PAYMENT ]
                                <li class="address-edit"><a href="[@wsgc.secureappurl url='checkout/shipping-edit.html?order=${orderId}&suborder=${suborderId}${_billingSameAsShipping}'/]" id="editOrderButton">Edit</a></li>
                            [#elseif PAGE_IS_PAYMENT ]
                                <li class="address-edit"><a href="[@wsgc.secureappurl url='checkout/billing.html?pageMode=edit'/]" id="editOrderButton">Edit</a></li>
                            [/#if]
                        [/#if]
                    </ul>
                [/#if]
            </div>
        </div>
        <div class="additional-shipping-detail">
            [#if shipMethod == 1]
                <div class="shipping-method">
                    <span class="label">Shipping Method:</span>
                    <span class="info">
                        [@super.serviceLevelList subOrderDisplay=userDetails/]
                    </span>
                    [#if PAGE_IS_PAYMENT ]
                        <a class="shipping-edit" href="[@wsgc.secureappurl url='/checkout/shipping-edit.html?order=${orderId}&suborder=${suborderId}${_billingSameAsShipping}'/]">Edit</a>
                    [/#if]
                </div>
            [/#if]
            [#if userDetails.shipTo?? && userDetails.shipTo!?lower_case != "you"]
                <div class="gift-message">
                    <p class="label">Gift Message:</p>
                    <p class="info">
                        [#if userDetails.giftMessage?? && userDetails.giftMessage?size != 0]
                            [#list userDetails.giftMessage as giftMessage]
                                <div class="gift-message-text">${giftMessage?j_string}</div>
                            [/#list]
                            [#if PAGE_IS_PAYMENT ]
                                <a class="gift-message-edit" href="[@wsgc.secureappurl url='/checkout/deliveryoptions.html'/]">Edit</a>
                            [/#if]
                        [#else]
                            [#if PAGE_IS_PAYMENT ]
                                <a class="gift-message-edit" href="[@wsgc.secureappurl url='/checkout/deliveryoptions.html'/]">Add a Gift Message</a>
                            [/#if]
                        [/#if]
                    </p>
                </div>
            [/#if]
        </div>
    </div>
[/#macro]
